Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.yaml.snakeyaml.introspector
Class Property

    java.lang.Object
      org.yaml.snakeyaml.introspector.Property

All Implemented Interfaces:
  Comparable<Property>

Direct Known Subclasses:
  GenericProperty

    public abstract class Property

extends Object
implements Comparable<Property>

Constructor Summary
`Property(String name, Class<?> type)`

Method Summary
`int` | `compareTo(Property o)`
`abstract Object` | `get(Object object)`
`abstract Class<?>[]` | `getActualTypeArguments()`
`String` | `getName()`
`Class<?>` | `getType()`
`boolean` | `isReadable()`
`boolean` | `isWritable()`
`abstract void` | `set(Object object, Object value)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Property

    public Property(String name,
                    Class<?> type)

Method Detail

### getType

    public Class<?> getType()

### getActualTypeArguments

    public abstract Class<?>[] getActualTypeArguments()

### getName

    public String getName()

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### compareTo

    public int compareTo(Property o)

  Specified by:
    `compareTo` in interface `Comparable<Property>`

### isWritable

    public boolean isWritable()

### isReadable

    public boolean isReadable()

### set

    public abstract void set(Object object,
                             Object value)
                      throws Exception

  Throws:
    `Exception`

### get

    public abstract Object get(Object object)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2011. All Rights Reserved.